#pragma once

#include <deque>
#include <limits>

#include "Common.h"
#include "UnitInformation.h"

class UnitInformation;

class IDAReplayObserver : public sc2::ReplayObserver
{

	

	void setUnits();


public:
	IDAReplayObserver();

	std::vector<UnitInformation>       m_allUnits;

	void OnGameStart() override;
	void OnStep() override;

	const std::vector<UnitInformation> & GetAllUnits() const;

};

